Summary: The Cistron RADIUS daemon (with PAM).
Name: radiusd-cistron
Version: 1.6.1
Release: 1
Source: radiusd-cistron-1.6.1-stable.tar.gz
URL: http://www.miquels.cistron.nl/radius/
Copyright: GPL
Group: System Environment/Daemons
BuildRoot: /var/tmp/radiusd

%description
The radiusd-cistron package contains a server daemon for the Remote
Authentication Dial-In User Server (RADIUS) client/server security
protocol. A RADIUS system works by storing security information in a
central location (the RADIUS server). RADIUS clients like Portslave
(included in the portslave-cistron package) communicate with the
server to authenticate users.

This RADIUS daemon supports access based on huntgroups; multiple
DEFAULT entries in users' files; all users' file entries can
optionally fall through; caching all config files in memory; keeping a
list of logged in users in the radutmp file; the radwho program can be
installed as fingerd; logging both UNIX WTMP file format and RADIUS
detail logfiles; and the Simultaneous-Use=X parameter (so you can
prevent double logins).

Note that if you install radiusd-cistron, you'll need to install
portslave-cistron on client machines.

%changelog
* Mon Nov 29 1999 Tim Powers <timp@redhat.com>
- updated to 1.6.1

* Mon Aug 9 1999 Tim Powers <timp@redhat.com>
- using this since the origional RPM I created placed a cronjob that was doing
  the wrong thing. This places some stuff in /etc/logrotate.d like it should.
- added %defattr in %files section
- changed group
- built for Powertools

* Sat Nov 21 1998 Tim Hockin <thockin@ais.net>
- Based on work by Christopher McCrory <chrismcc@netus.com>
- Build with PAM
- Included pam.d/radius
- Fixed some small errors in this spec
- Changed to build to BuildRoot
- Changed Release to "beta11" from "1"
- Included users, naslist, huntgroups, clients files, not just -dist

* Tue Oct 27 1998 Mauricio Mello de Andrade <mandrade@mma.com.br>
- Corrected the script to Start/Stop the Radius under RH5.x
- Included the script to Rotate Radius Logs under RedHat
- Checkrad Utility now works fine with Cyclades PathRas

%prep 
%setup -q -n radiusd-cistron-1.6.1-stable
cd raddb
for f in clients users naslist huntgroups ; do cp $f $f-dist ; done
cd ..

%build
cd src
make PAM=-DPAM PAMLIB="-lpam -ldl" CFLAGS="-Wall ${RPM_OPT_FLAGS}"
cd ..

%install
# prepare $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/{,etc/{,raddb,logrotate.d,pam.d,rc.d/{,init.d,rc{0,1,2,3,4,5,6}.d}},usr/{,bin,sbin,man/{,man{1,5,8}}},var/{,log/{,radacct}}}

# make install
cd src
make install BINDIR=${RPM_BUILD_ROOT}/usr/bin SBINDIR=${RPM_BUILD_ROOT}/usr/sbin
install -m 755 radtest ${RPM_BUILD_ROOT}/usr/bin/
cd ..

# do /etc/raddb
cd raddb
install -m 640 * ${RPM_BUILD_ROOT}/etc/raddb
cd ..

# radwatch
install -m 755 scripts/radwatch ${RPM_BUILD_ROOT}/usr/sbin/

# other files
cd redhat
install -m 555 rc.radiusd-redhat ${RPM_BUILD_ROOT}/etc/rc.d/init.d/radiusd.init
install -m 644 radiusd-logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/radiusd
install -m 644 radiusd-pam ${RPM_BUILD_ROOT}/etc/pam.d/radius
cd ..

# man pages
cd doc
for i in 1 8; do
	install -m 444 *.$i ${RPM_BUILD_ROOT}/usr/man/man$i
done
install -m 444 clients.5rad ${RPM_BUILD_ROOT}/usr/man/man5/
install -m 444 naslist.5rad ${RPM_BUILD_ROOT}/usr/man/man5/
cd ..

# rc.d files
for i in 3 4 5;  do
	ln -sf ../init.d/radiusd.init ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/S88radiusd.init
done
for i in 0 1 2 6; do
	ln -sf ../init.d/radiusd.init ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/K12radiusd.init
done

for i in radutmp radwtmp radius.log; do
	touch ${RPM_BUILD_ROOT}/var/log/$i
	chown root.root ${RPM_BUILD_ROOT}/var/log/$i
	mkdir -p /var/log/radacct
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ChangeLog doc/README doc/README.pam doc/README.proxy 
%doc doc/README.usersfile doc/README.simul doc/INSTALL.OLD 
%doc doc/Makefile.README doc/README.cisco todo/ 
%doc COPYRIGHT.Cistron COPYRIGHT.Livingston

/usr/bin/*
/usr/sbin/*
/usr/man/man1/*
/usr/man/man5/*
/usr/man/man8/*
/var/log/radutmp
/var/log/radwtmp
/var/log/radius.log
%dir /var/log/radacct/

%dir /etc/raddb/
%config /etc/raddb/*
%config /etc/pam.d/radius
%config /etc/logrotate.d/radiusd
%config /etc/rc.d/init.d/radiusd.init
%config(missingok) /etc/rc.d/rc0.d/K12radiusd.init
%config(missingok) /etc/rc.d/rc1.d/K12radiusd.init
%config(missingok) /etc/rc.d/rc2.d/K12radiusd.init
%config(missingok) /etc/rc.d/rc3.d/S88radiusd.init
%config(missingok) /etc/rc.d/rc4.d/S88radiusd.init
%config(missingok) /etc/rc.d/rc5.d/S88radiusd.init
%config(missingok) /etc/rc.d/rc6.d/K12radiusd.init
